Summary:	Bluetooth PIN GUI
Name:		bluez-pin
Version:	0.30
Release:	%mkrel 22
Url:		https://www.bluez.org/
License:	GPLv2+
Group:		Communications/Bluetooth
Source0:	ftp://gpe.handhelds.org/projects/gpe/source/%{name}-%{version}.tar.bz2

BuildRequires:	imagemagick 
BuildRequires:	gtk2-devel 
BuildRequires:	pkgconfig(libglade-2.0) 
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(bluez)
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.50
BuildRequires:	perl(XML::Parser)

%description
A GTK+ helper app for entering a Bluetooth PIN.

%prep
%setup -q

%build
%configure
make

%install
%make_install

%post
update-alternatives --install /bin/bluepin bluepin /usr/bin/bluez-pin 10

%postun
[ $1 != 0 ] && exit 0
update-alternatives --remove bluepin /usr/bin/bluez-pin

%files
%doc ChangeLog
%_bindir/%name
%config %_sysconfdir/dbus*/*
%_datadir/pixmaps/*
%_datadir/%name


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.30-22.mga10
+ Revision: 2195197
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 0.30-21.mga9
+ Revision: 1791487
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30-20.mga8
+ Revision: 1510750
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.30-19.mga7
+ Revision: 1295567
- Mageia 7 Mass Rebuild

* Sat Feb 13 2016 umeabot <umeabot> 0.30-18.mga6
+ Revision: 959608
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 tv <tv> 0.30-17.mga6
+ Revision: 894219
- kill useless %%find_lang call

* Wed Oct 15 2014 umeabot <umeabot> 0.30-16.mga5
+ Revision: 749189
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30-15.mga5
+ Revision: 678187
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30-14.mga4
+ Revision: 503123
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.30-13.mga3
+ Revision: 346931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 0.30-12.mga3
+ Revision: 308476
- spec clean-up
- update RPM group

* Sat Jan 22 2011 pterjan <pterjan> 0.30-11.mga1
+ Revision: 32629
- imported package bluez-pin


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.30-11mdv2011.0
+ Revision: 603762
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.30-10mdv2010.1
+ Revision: 522229
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.30-9mdv2010.0
+ Revision: 413179
- rebuild

* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.30-8mdv2009.1
+ Revision: 312914
- lowercase ImageMagick

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.30-8mdv2009.0
+ Revision: 220487
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.30-7mdv2008.1
+ Revision: 149003
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Adam Williamson <awilliamson@mandriva.org> 0.30-6mdv2008.0
+ Revision: 83193
- rebuild for 2008
- Fedora license policy


* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 0.30-5mdv2007.0
+ Revision: 107671
- drop bluez-pin xinit.d script, the dbus support is outdated
- Import bluez-pin

* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 0.30-4mdv2007.0
- fix buildrequires

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 0.30-3mdv2007.0
- fix buildrequires

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.30-2mdv2007.0
- try again

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.30-1mdv2007.0
- 0.30

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.26-5mdv2007.0
- Rebuild with latest dbus

* Sat Jun 17 2006 Austin Acton <austin@mandriva.org> 0.26-1mdv2007.0
- Rebuild

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 0.26-3mdk
- rebuild for new dbus on x86_64 too

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.26-2mdk
- Rebuild with latest dbus

* Sat Oct 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.26-1mdk
- Release 0.26
- Patch0 (Fedora): use new dbus API

* Sat Apr 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.25-1mdk
- New release 0.25

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.24-1mdk
- New release 0.24
- Remove patch0 (merged upstream)

* Sat Aug 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-4mdk
- Patch0: API fix for D-Bus 0.22

* Mon Aug 02 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.23-3mdk
- add BuildRequires: libbluez-devel

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-2mdk
- Add xinit autostart for dbus helper
- Fix alternative install (people upgrading for previous release needs to 
re-register alternative)

* Sat Jul 10 2004 Austin Acton <austin@mandrake.org> 0.23-1mdk
- 0.23

